<?php

	const SIZE_X = 8;
	const SIZE_Y = 8;
	const BORDER_SIZE = 5;
	const IMAGE_X_ORIG = 1024;
	const IMAGE_Y_ORIG = 1024;
	
	define('IMAGE_X', IMAGE_X_ORIG + (BORDER_SIZE * floor(IMAGE_X_ORIG / SIZE_X)));
	define('IMAGE_Y', IMAGE_Y_ORIG + (BORDER_SIZE * floor(IMAGE_Y_ORIG / SIZE_Y)));
	
	header('Content-type:image/png');
	$img = ImageCreateTrueColor(IMAGE_X, IMAGE_Y);
	
	//$blueh = ImageColorAllocateAlpha($img, 10, 28, 69, 110);
	$blueh = ImageColorAllocateAlpha($img, 11, 68, 138, 120);
	$bordh = ImageColorAllocateAlpha($img, 11, 68, 138, 110);
	
	

	// Draw triangle
	$vectorout = array();
	for ($j = 0; $j < 50000; ++$j) {
		$x = floor(mt_rand(0, IMAGE_X) / SIZE_X) * (SIZE_X + BORDER_SIZE);
		$y = floor(mt_rand(0, IMAGE_Y) / SIZE_Y) * (SIZE_Y + BORDER_SIZE);
		
		imagefilledrectangle($img, $x, $y, $x + SIZE_X, $y + SIZE_Y, $blueh);
		// Border
		for ($i = 1; $i < BORDER_SIZE; ++$i) {
			imagerectangle($img, $x - $i, $y - $i, $x + SIZE_X + $i, $y + SIZE_X + $i, $bordh);
		}
	}
	
	ImagePng($img);
	ImageDestroy($img);